# Module: Concurrent::ErlangActor::FunctionShortcuts

Included in:
  Concurrent::ErlangActor

Defined in:
  lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb

## Overview

Constrains shortcuts for methods in Functions.

## Instance Method Summary collapse

- #spawn(*args, **kwargs, &body) ⇒ Pid

  Optionally included shortcut method for Concurrent::ErlangActor::Functions#spawn_actor.

- #terminate(pid, reason) ⇒ true

  Optionally included shortcut method for Concurrent::ErlangActor::Functions#terminate_actor.

## Instance Method Details

### #spawn(*args, **kwargs, &body) ⇒ `Pid`

Optionally included shortcut method for Concurrent::ErlangActor::Functions#spawn_actor

Returns:

- (`Pid`)

    530
    531
    532

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 530

    def spawn(*args, **kwargs, &body)
      spawn_actor(*args, **kwargs, &body)
    end

### #terminate(pid, reason) ⇒ `true`

Optionally included shortcut method for Concurrent::ErlangActor::Functions#terminate_actor

Returns:

- (`true`)

    536
    537
    538

    # File 'lib/concurrent-ruby-edge/concurrent/edge/erlang_actor.rb', line 536

    def terminate(pid, reason)
      terminate_actor(pid, reason)
    end